<?php
header('Content-Type: application/json');
$media = "";
$medianom = 'SD';
if( $_REQUEST["media"] ) {$media = $_REQUEST['media'];}
if (isset($_FILES['archivomedia'])) 
{
        $mediaarch =  $_FILES['archivomedia'];
        $medianom = $_FILES['archivomedia']['name'];
        $mediatmp = $_FILES['archivomedia']['tmp_name'];
  
        if ($medianom != 'SD'){
        $ruta_archivo = pathinfo($media);        
        $ruta_base = $ruta_archivo["dirname"];
        $nombre_archivo = $ruta_archivo["basename"];        
        $ruta_completa = $_SERVER['DOCUMENT_ROOT'] .  $ruta_base;
        $target_file = $ruta_completa . "/" . $nombre_archivo;
        $target_file = str_replace("/\\","/",$target_file);  
        $uploadOk = 1;
        if (file_exists($target_file)) {
               $uploadOk = 0;
        }
        if ($mediaarch["size"] > 5000000) {
             $uploadOk = 0;
        }
        if ($uploadOk == 1) {
         move_uploaded_file($mediatmp,$target_file);
         }
        }


}

$res = array();
$resultado = array(
   'mensaje'=> $target_file
 );
 array_push($res, $resultado);

echo json_encode($res);
?>


